### Method

# AppStreamCompose Result gcid_for_component

since: 0.14.0

#### Declaration [src]

    const gchar*
    asc_result_gcid_for_component (
      AscResult* result,
      AsComponent* cpt
    )

#### Description [src]

Retrieve the global component-ID string for the given `AsComponent`, as long as component with the given ID is registered with this `AscResult`.

Available since: 0.14.0

#### Parameters

`cpt`

  Type: `AsComponent`

  Component to look for.

  The data is owned by the caller of the method.

#### Return value

Type: `const gchar*`

The global component ID, or `NULL` if `cpt` is not registered with this result.

The returned data is owned by the instance.
The return value can be `NULL`.
The value is a NUL terminated UTF-8 string.